package grid;

import javax.servlet.annotation.WebServlet;

import com.vaadin.annotations.Theme;
import com.vaadin.annotations.Title;
import com.vaadin.annotations.VaadinServletConfiguration;
import com.vaadin.annotations.Widgetset;
import com.vaadin.server.VaadinRequest;
import com.vaadin.server.VaadinServlet;
import com.vaadin.ui.Button;
import com.vaadin.ui.CssLayout;
import com.vaadin.ui.FormLayout;
import com.vaadin.ui.HorizontalLayout;
import com.vaadin.ui.Label;
import com.vaadin.ui.TextField;
import com.vaadin.ui.UI;
import com.vaadin.ui.VerticalLayout;

@Title("PRUEBA VAADIN")
@Theme("tests-valo-facebook")
@Widgetset("grid.MyAppWidgetset")
public class MyUI extends UI {

	private static final long serialVersionUID = 1L;

	protected void init(VaadinRequest vaadinRequest) {

		final VerticalLayout layout = new VerticalLayout();
		setContent(layout);

		CssLayout topBar = new CssLayout();
		topBar.addStyleName("top");
		Label titulo = new Label("Practica");
		topBar.addComponent(titulo);
		layout.addComponent(topBar);

		HorizontalLayout menuContenido = new HorizontalLayout();
		menuContenido.setSizeFull();
		layout.addComponent(menuContenido);

		CssLayout menu = new CssLayout();
		menu.setWidth("100%");
		menu.addStyleName("menu");
		menuContenido.addComponent(menu);

		VerticalLayout vertical = new VerticalLayout();
		vertical.setSpacing(true);
		vertical.setMargin(true);
		menuContenido.addComponent(vertical);

		menuContenido.setExpandRatio(menu, 2);
		menuContenido.setExpandRatio(vertical, 8);

		Label header = new Label("Huge type for display text.");
		header.addStyleName("h2");
		// header.addStyleName(FontAwesome.FONT_FAMILY);
		vertical.addComponent(header);

		Label text = new Label(
				"<p> Large type for introductory text. Etiam at risus et justo dignissim congue. Donec congue lacinia dui, a porttitor lectus condimentum laoreet. Nunc eu.</p>",
				com.vaadin.shared.ui.label.ContentMode.HTML);
		vertical.addComponent(text);

		FormLayout form = new FormLayout();
		form.setSpacing(false);
		vertical.addComponent(form);

		TextField nombre = new TextField("Nombre");
		form.addComponent(nombre);

		TextField apellido = new TextField("Apellido");
		form.addComponent(apellido);

		TextField correo = new TextField("Correo");
		form.addComponent(correo);

		Button enviar = new Button("Enviar");
		form.addComponent(enviar);
	}

	@WebServlet(urlPatterns = "/*", name = "MyUIServlet", asyncSupported = true)
	@VaadinServletConfiguration(ui = MyUI.class, productionMode = false)
	public static class MyUIServlet extends VaadinServlet {

	}
}